OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs
townname_type.h File Reference

Definition of structures used for generating town names. More...

`#include "newgrf_townname.h"`
`#include "town_type.h"`
`#include <set>`
`#include <string>`

Go to the source code of this file.

## Data Structures
struct | TownNameParams
| Struct holding a parameters used to generate town name. More...

## Typedefs
typedef std::set< std::string > | TownNames

## Detailed Description

Definition of structures used for generating town names.

Definition in file townname_type.h.